---
apiVersion: v1
kind: ConfigMap
metadata:
  name: cloudns-config
  namespace: flux-system
data:
  values.yaml: |-

    provider:
      name: webhook
      webhook:
        image:
          repository: ${image_repository}
          tag: ${image_tag}
        imagePullPolicy: Always

        env:
        - name: CLOUDNS_AUTH_ID_TYPE
          valueFrom:
            secretKeyRef:
              name: cloudns-config
              key: CLOUDNS_AUTH_ID_TYPE
        - name: CLOUDNS_AUTH_ID
          valueFrom:
            secretKeyRef:
              name: cloudns-config
              key: CLOUDNS_AUTH_ID
        - name: CLOUDNS_AUTH_PASSWORD
          valueFrom:
            secretKeyRef:
              name: cloudns-config
              key: CLOUDNS_AUTH_PASSWORD

        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop: ["ALL"]
          readOnlyRootFilesystem: true
          runAsNonRoot: true
          seccompProfile:
            type: RuntimeDefault

        livenessProbe:
          httpGet:
            path: /health
            port: http-webhook
          initialDelaySeconds: 10
          timeoutSeconds: 5

        readinessProbe:
          httpGet:
            path: /ready
            port: http-webhook
          initialDelaySeconds: 10
          timeoutSeconds: 5
